0
Fixed

Apparent compatibility issue with Probuilder 4.4.0

ThoughtCipher 10 months ago updated by Lazlo Bonin (Lead Developer) 10 months ago 3

Integrating Probuilder 4.4.0 with Peek 1.3.1 by following the instructions for Unity 2019+ (using 2020.1.13f1) threw the following error when right-clicking on a probuilder object:

TypeLoadException: Could not load type 'UnityEditor.ProBuilder.EditorMeshHandles' from assembly 'Unity.ProBuilder.Editor, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null'.

After downgrading Probuilder to 4.3.1, this error no longer appears.

Unity Version:
2020.1.13f1
Peek Version:
1.3.1

I managed to reproduce this same issue using Unity 2019.4.16f1 as well.

Fixed (Unreleased)

Hi ThoughtCipher,

Thanks for the report and sorry you're experiencing this issue.

I found the cause and fixed it. The fix will be included in Peek v.1.3.2.

This fix will require a manual change to the version defines, because ProBuilder's structure changed across versions. I already updated the ProBuilder Integration instructions to reflect that (the new parts are in bold): https://ludiq.io/peek/manual/integrations/probuilder